Skip to main content
GET
/
v1
/
transactions
cURL
curl --request GET \
  --url https://external.vin.gs/api/v1/transactions \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://external.vin.gs/api/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://external.vin.gs/api/v1/transactions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://external.vin.gs/api/v1/transactions"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "transactions": [
    {
      "type": "INCOME",
      "amount_cents": 123,
      "date": "<string>",
      "title": "<string>",
      "id": "<string>",
      "pending": true,
      "currency": "<string>",
      "plaid_category": "<string>",
      "merchant_name": "<string>",
      "account_name": "<string>",
      "bank_name": "<string>",
      "linked_transaction_id": "<string>"
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": {
      "date": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}

Authorizations

Authorization
string
header
required

Vings OAuth access token or personal access token (vng_pat_…). Use Authorization: Bearer ….

Query Parameters

dateFrom
string
dateTo
string
minAmountCents
string
maxAmountCents
string
merchantQuery
string
category
string
categories
string

Comma-separated categories

type
enum<string>
Available options:
INCOME,
EXPENSE
accountIds
string

Comma-separated account IDs

pending
string
hidden
string
cursor
string

URL-encoded JSON cursor with date and id

pageSize
string
showInternalTransfers
string

Response

Cursor-paginated transaction search results

transactions
object[]
required
pagination
object
required